<?php	
	date_default_timezone_set("Europe/Helsinki");

	include 'common.php';

	$n_id = "";
	$n_name = "";
	$sql = "";
	$next_day = "";
	$next_day_fi = "";
	$prev_day = "";
	$prev_day_fi = "";
	$processed_reservations = array();

	
	if (isset($_POST['selected_date'])) {
		$selected_date=$_POST['selected_date'];
		$selected_date_fi=date_format(date_create_from_format('Y-m-d', $selected_date), 'd.m.Y');

		$tomorrow = new DateTime($selected_date);
		$tomorrow->add(new DateInterval('P1D'));
		$next_day = $tomorrow->format('Y-m-d');
		$next_day_fi = $tomorrow->format('d.m.Y');

		$yesterday = new DateTime($selected_date);
		$yesterday->sub(new DateInterval('P1D'));
		$prev_day = $yesterday->format('Y-m-d');
		$prev_day_fi = $yesterday->format('d.m.Y');
	} else {
		$selected_date=date('Y-m-d');
		$selected_date_fi=date('d.m.Y');
		$tomorrow = new DateTime();
		$tomorrow->add(new DateInterval('P1D'));
		$next_day = $tomorrow->format('Y-m-d');
		$next_day_fi = $tomorrow->format('d.m.Y');
		
		$yesterday = new DateTime($selected_date);
		$yesterday->sub(new DateInterval('P1D'));
		$prev_day = $yesterday->format('Y-m-d');
		$prev_day_fi = $yesterday->format('d.m.Y');
	}

	// Suora linkki tiettyn pivn, ylikirjoitetaan yllolevat muuttujat
	if (isset($_GET['selected_date'])) {
		$selected_date=$_GET['selected_date'];
		$selected_date_fi=date_format(date_create_from_format('Y-m-d', $selected_date), 'd.m.Y');

		$tomorrow = new DateTime($selected_date);
		$tomorrow->add(new DateInterval('P1D'));
		$next_day = $tomorrow->format('Y-m-d');
		$next_day_fi = $tomorrow->format('d.m.Y');

		$yesterday = new DateTime($selected_date);
		$yesterday->sub(new DateInterval('P1D'));
		$prev_day = $yesterday->format('Y-m-d');
		$prev_day_fi = $yesterday->format('d.m.Y');
	}

	function getrooms() {
		global $conn, $n_id, $n_name;
		$result = mysql_query("SELECT n_id, n_name, n_capacity FROM neukkarit;", $conn);
		$res ="";
	
		while($data=mysql_fetch_assoc($result)) {
	  		$n_id[] = $data['n_id'];
	  		$n_name[] = $data['n_name'];
			$res = $res . "<td class=\"n_header\">&nbsp;&nbsp;" . $data['n_name'] . " (" . $data['n_capacity'] . ")&nbsp;&nbsp;</td>";
		}
		
		return $res;
	}


	function getreservations($res_time) {
		global $conn, $n_id, $processed_reservations, $selected_date, $DAY_START_TIME, $DAY_END_TIME, $DAY_LENGTH_15_MIN_QUARTERS;
		$res="";
		$result="";
		$data="";
		$rows=0;
		$varauksensiivut=0;
		$vlopusta_ploppuun=0; // siivuja varauksen lopusta pivn loppuun
		$vlopusta_palkuun=0;
		$palkutarkastus; // Pivn alkutarkastus, alkaako pivn varaus ennen varauskalenterissa merkitty alkua
		$lock_icon="";
	
		foreach ($n_id as $neukkari) {
		    $sql = "SELECT v_id, topic, reserver, attendees, DATE_FORMAT(starttime,\"%e.%c.%Y %H:%i\") as stime, DATE_FORMAT(endtime,\"%e.%c.%Y %H:%i\") as etime, info, service, color_r, color_g, color_b, lockcode, ROUND(TIME_TO_SEC(TIMEDIFF(endtime,starttime))/60/15) as varauksensiivut, ROUND(TIME_TO_SEC(TIMEDIFF(endtime,'" . $selected_date . " " . $DAY_END_TIME . "'))/60/15) as vlopusta_ploppuun,ROUND(TIME_TO_SEC(TIMEDIFF(endtime,'" . $selected_date . " " . $DAY_START_TIME . "'))/60/15) as vlopusta_palkuun, DAYOFYEAR(endtime)-DAYOFYEAR(starttime) as diffday, TIME_TO_SEC(TIMEDIFF(starttime,'" . $selected_date . " " . $DAY_START_TIME . "')) as palkutarkastus FROM varaukset WHERE n_id= " . $neukkari . " AND (starttime<=  '" . $res_time . "' AND endtime> '" . $res_time . "')";
			//echo $sql;
			$result = mysql_query($sql, $conn);
			$rows = mysql_num_rows($result);
			$data=mysql_fetch_object($result);
			
			if ($rows>0) {
				$varauksensiivut=$data->varauksensiivut;
				$vlopusta_ploppuun=$data->vlopusta_ploppuun;
				$vlopusta_palkuun=$data->vlopusta_palkuun;
				$palkutarkastus=$data->palkutarkastus;

				// Jos varaus menee yli $DAY_END_TIME
				if ($vlopusta_ploppuun>0) $varauksensiivut=$varauksensiivut-$vlopusta_ploppuun;
				
				// Jos varaus menee seuraavan pivn puolelle
			    if ($vlopusta_ploppuun<0 && $data->diffday!=0) $varauksensiivut=$vlopusta_palkuun;

				// Jos varaus muokattu alkamaan ennen pivn alkua
			    if (($vlopusta_ploppuun<0) && ($palkutarkastus<0)) $varauksensiivut=$vlopusta_palkuun;
								
				// siivujen mr kytetn rowspanissa
				if ($varauksensiivut>$DAY_LENGTH_15_MIN_QUARTERS) $varauksensiivut=$DAY_LENGTH_15_MIN_QUARTERS;

				if ($data->lockcode<>0) $lock_icon="<img src=\"lock.gif\" border=\"0\">"; else $lock_icon="";

				if ($data->service==0) {
					if (isset($processed_reservations[$data->v_id])==false) {

						//Merkitn varaus ksitellyksi, normaalitilanne
						$processed_reservations[$data->v_id]='1';
						$res = $res . "<td style=\"background-color: rgb(". $data->color_r . ",". $data->color_g . ",". $data->color_b . ");\" class=\"varattu\" onMouseover=\"showtooltip('<table><tr><td bgcolor=yellow><b>Varausaika: " . $data->stime . " - " . $data->etime . "<br/>Aihe/Varaaja: "  . $data->topic . "/" . $data->reserver . "<br/>Osallistujia: " . $data->attendees . "<br/>Info: " . $data->info . "</b><br/><br/>&laquo;Click to edit&raquo;</td></tr></table>')\" onMouseout=\"hidetooltip()\" rowspan=\"" . $varauksensiivut . "\" onClick=\"edit(" . $data->v_id . ")\">" . $lock_icon .  " "  . stripslashes($data->topic) . " / " . stripslashes($data->reserver) . "</td>"; 
					}
				} else {
					if (isset($processed_reservations[$data->v_id])==false) {
						//Merkitn varaus ksitellyksi, huolto pll
						$processed_reservations[$data->v_id]='1';
						$res = $res . "<td rowspan=\"" . $varauksensiivut . "\" class=\"eikaytossa\" onMouseover=\"showtooltip('<table><tr><td bgcolor=yellow><b>Aika ei varattavissa.</b> (" . $data->info . ")</td></tr></table>')\" onMouseout=\"hidetooltip()\"></td>"; 
					}
				}

			} else {
				// Eiliselle ei en uusia varauksia
				if ($res_time>date('Y-m-d')) {
					$res = $res . "<td class=\"vapaa\" onClick=\"add('" . $res_time . "', " . $neukkari . ")\" onMouseover=\"showtooltip('<table><tr><td bgcolor=white><b>Tee varaus - " . $res_time . "</b></td></tr></table>');this.className='teevaraus'\" onMouseout=\"hidetooltip();this.className='vapaa'\"></td>\n";
				} else {
					$res = $res . "<td class=\"vapaa\"></td>\n";			
				}
			}
			$rows=0;
		}
		return $res;
	}
	
	
	function getVarauslista () {
		global $conn, $selected_date;
		$res = "";
		$neukkari = "";
		$result = mysql_query("SELECT CONCAT(DATE_FORMAT(starttime,\"%H:%i\"),\" - \",DATE_FORMAT(endtime,\"%H:%i\")) as v, topic, reserver, n_name, long_reservation FROM varaukset, neukkarit WHERE neukkarit.n_id=varaukset.n_id AND service<>1 AND '" . $selected_date . "' BETWEEN DATE_FORMAT(starttime,\"%Y-%m-%d\") AND DATE_FORMAT(endtime,\"%Y-%m-%d\") GROUP BY varaukset.n_id, starttime;", $conn);
		$rows = mysql_num_rows($result);
		
		if ($rows>0) {
			while($data=mysql_fetch_assoc($result)) {
				// Jos neukkari vaihtuu, listn uusi otsikko
				if ($neukkari<>$data['n_name']) $res = $res . "<tr><td colspan=\"4\"><b>" . $data['n_name'] . "</b></tr>";
				$neukkari = $data['n_name'];
				// Jos lytyi tietoa yliyn varauksesta, nytetn sen tiedot
				if ($data['long_reservation']<> "")
					$res = $res . "<tr><td></td><td class=\"longres\">" . $data['long_reservation'] . "</td><td>" . stripslashes($data['topic']) . "</td><td>" . stripslashes($data['reserver']) . "</td></tr>\n";
				else
					$res = $res . "<tr><td></td><td>" . $data['v'] . "</td><td>" . stripslashes($data['topic']) . "</td><td>" . stripslashes($data['reserver']) . "</td></tr>\n";
			}
		} else {
			return "<tr><td colspan=\"4\">Ei varauksia.</td></tr>";
		}
		
		mysql_close($conn);
		return $res;
	}

?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"> 
<html>
	<head>
		<title>Varaus</title>
		<link type="text/css" href="css/styles.css" rel="stylesheet" />
		<link type="text/css" href="css/ui-lightness/jquery-ui-1.8.9.custom.css" rel="Stylesheet" />
		<link type="text/css" href="css/dark.datetimepicker.css" rel="Stylesheet" />

		<script type="text/javascript" src="js/jquery-1.4.4.min.js"></script>
		<script type="text/javascript" src="js/jquery-ui-1.8.9.custom.min.js"></script>
		<script type="text/javascript" src="js/jquery.ui.datepicker-fi.js"></script>
		<script type="text/javascript" src="js/ui.datetimepicker.js"></script>
		
	</head>
	<body BGCOLOR="#fffff6">

		<div style="position: absolute;visibility: hidden;z-index: 100;" id="dhtmltooltip"></div>
	
		<script type="text/javascript">
		  var ie = document.all
		  var ns6 = document.getElementById && !document.all
		  var enabletip = false
		
		  if (ie||ns6)
		    var tipobj=document.all? document.all["dhtmltooltip"] : document.getElementById? document.getElementById("dhtmltooltip") : ""
		
		  function showtooltip(text){
		    if (ns6||ie){
		      tipobj.innerHTML = text
		      enabletip = true
		      return false
		    }
		  }
		
		  function positiontip(e){
		    if (enabletip){
		      var curX=(ns6)?e.pageX : event.x;
		      var curY=(ns6)?e.pageY : event.y;
		      tipobj.style.left = curX + 20 + "px"
		      tipobj.style.top = curY + 20 + "px"
		      tipobj.style.visibility = "visible"
		    }
		  }
		
		  function hidetooltip(){
		    if (ns6||ie){
		      enabletip = false
		      tipobj.style.left = "-1000px"
		      tipobj.style.visibility = "hidden"
		    }
		  }
		
		  document.onmousemove=positiontip
		  
		  
		  function add(time, neukkari) {
		  	window.open ("add.php?start_time=" + time + "&n_id=" + neukkari + "&referer=index.php", "addreservation","location=0,status=0,scrollbars=0, width=400,height=450");
		
		  }

		  function edit(vid) {
		  	window.open ("edit.php?v_id=" + vid + "&referer=index.php", "editreservation","location=0,status=0,scrollbars=0, width=410,height=460");
		  }

		
		  $(function() {
		    $( "#datepicker" ).datepicker( {
		    	showWeek: true,
				firstDay: 1,
				showOtherMonths: true,
				selectOtherMonths: true,
				dateFormat: 'yy-mm-dd',
				showOn: "button",
				buttonImage: "calendar.jpg",
				buttonImageOnly: true,
				minDate: -30},
				
			    $.datepicker.regional['fi']
			  );
		  });
		
		
		  $(function() {
			$( "#datetimepicker" ).datetimepicker( {
				showWeek: true,
				firstDay: 1,
				showOtherMonths: true,
				selectOtherMonths: true,
				dateFormat: 'yy-mm-dd'}
			  );
		  });
		
		</script>
	
	
		<?php echo(date("D, j.n.Y H:i"));?>
		<br/>
		<!--Datetimepicker:<br/>
		<input type="text" id="datetimepicker" readonly><br/>
		-->
		<div class="left_menu">
			<h3><b>Valikko</b></h3>
			<button onClick="location.href = 'remove.php'">Poista varaus</button>
			<br/>
		</div>
		
		<div class="res_calendar">
		
			<div class="status">
				<form method="POST" class="showinline" action="index.php">
					<input type="hidden" name="selected_date" value="<?php echo $prev_day ?>"> </input>
					<input type="submit" value="&laquo;&nbsp;<?php echo $prev_day_fi ?>&nbsp;&laquo;"></input>
				</form>
				
				<form method="POST" class="showinline" action="index.php">
					&nbsp;&nbsp;&nbsp;Valittu piv (<?php echo date_create($selected_date)->format('D'); ?>):
					<span class="valittu_paiva">
						<input onChange="submit();" type="text" size="10" id="datepicker" readonly name="selected_date" value="<?php echo $selected_date_fi ?>">
					</span>
				</form>	
				
				<form method="POST" class="showinline" action="index.php">
					<input type="hidden" name="selected_date" value="<?php echo $next_day ?>"> </input>
					<input type="submit" value="&raquo;&nbsp;<?php echo $next_day_fi ?>&nbsp;&raquo;"></input>
				</form>
			</div>
			
			<br/>
			<table cellpadding="0" cellspacing="0" border="1" class="varaustaulu">
			
				<?php
					echo "<tr><td>klo</td>" . getrooms() . "</tr>";
					$temp = "2011-01-01 " . $DAY_START_TIME;
					$date = new DateTime($temp);
					for ($i=0;$i<$DAY_LENGTH_15_MIN_QUARTERS;$i++) {
						echo "<tr><td class=\"aikarivi\">" . $date->format('H:i') . "</td>" . getreservations($selected_date. " " . $date->format('H:i')) . "</tr>\n";
						$date->add(new DateInterval('PT15M'));
					}
				?>
		
			</table>
	
		</div>
		
		<div class="varauslista">
			Linkki erilliseen neuvotteluhuoneen varausnkymn.<br/>Nkym pivittyy 1 min vlein. esim. <a target="_blank" href="nview.php?nid=1">Pluto</a>
			<br/>
			<h3><u>Varauslista, <?php echo $selected_date_fi ?></u></h3>
			<table cellpadding="0" cellspacing="0" border="0">
				<tr>
					<td>&nbsp;&nbsp;&nbsp;</td><td style="width:110px;"><b>Varausaika</b></td><td style="width:250px;"><b>Aihe</b></td><td><b>Varaaja</b></td>
				</tr>
					<?php echo getVarauslista(); ?>
			</table>
			<br/>
		</div>

		<br style="clear:both">
		<br/>
		<br/>
	</body>
</html>
