<?php	
	date_default_timezone_set("Europe/Helsinki");

	include 'common.php';
		
	$n_id = "";
	$n_name = "";
	$sql = "";
	$next_day = "";
	$next_day_fi = "";
	$prev_day = "";
	$prev_day_fi = "";

	if (isset($_POST['selected_date'])) {
		$selected_date=$_POST['selected_date'];
		$selected_date_fi=date_format(date_create_from_format('Y-m-d', $selected_date), 'd.m.Y');

		$tomorrow = new DateTime($selected_date);
		$tomorrow->add(new DateInterval('P1D'));
		$next_day = $tomorrow->format('Y-m-d');
		$next_day_fi = $tomorrow->format('d.m.Y');

		$yesterday = new DateTime($selected_date);
		$yesterday->sub(new DateInterval('P1D'));
		$prev_day = $yesterday->format('Y-m-d');
		$prev_day_fi = $yesterday->format('d.m.Y');


	} else {
		$selected_date=date('Y-m-d');
		$selected_date_fi=date('d.m.Y');
		$tomorrow = new DateTime();
		$tomorrow->add(new DateInterval('P1D'));
		$next_day = $tomorrow->format('Y-m-d');
		$next_day_fi = $tomorrow->format('d.m.Y');
		
		$yesterday = new DateTime($selected_date);
		$yesterday->sub(new DateInterval('P1D'));
		$prev_day = $yesterday->format('Y-m-d');
		$prev_day_fi = $yesterday->format('d.m.Y');
	}


	function getrooms() {
		global $conn, $n_id, $n_name;
		$result = mysql_query("SELECT n_id, n_name, n_capacity FROM neukkarit;", $conn);
		$res ="";
	
		while($data=mysql_fetch_assoc($result)) {
	  		$n_id[] = $data['n_id'];
	  		$n_name[] = $data['n_name'];
			$res = $res . "<td class=\"n_header\">&nbsp;&nbsp;" . $data['n_name'] . " (" . $data['n_capacity'] . ")&nbsp;&nbsp;</td>";
		}
		
		return $res;
	}


	function getreservations($res_time) {
		global $conn, $n_id, $processed_reservations, $selected_date, $DAY_START_TIME, $DAY_END_TIME, $DAY_LENGTH_15_MIN_QUARTERS;
		$res="";
		$result="";
		$data="";
		$rows=0;
		$stime="";
		$etime="";
		$varauksensiivut=0;
		$vlopusta_ploppuun=0; // siivuja varauksen lopusta pivn loppuun
		$vlopusta_palkuun=0;
		$palkutarkastus; // Pivn alkutarkastus, alkaako pivn varaus ennen varauskalenterissa merkitty alkua
		$lock_icon="";
		$temp=0;
		$sql="";
	
		foreach ($n_id as $neukkari) {
		    $sql = "SELECT v_id, topic, reserver, attendees, DATE_FORMAT(starttime,\"%e.%c.%Y %H:%i\") as stime, DATE_FORMAT(endtime,\"%e.%c.%Y %H:%i\") as etime, info, service, color_r, color_g, color_b, lockcode, ROUND(TIME_TO_SEC(TIMEDIFF(endtime,starttime))/60/15) as varauksensiivut, ROUND(TIME_TO_SEC(TIMEDIFF(endtime,'" . $selected_date . " " . $DAY_END_TIME . "'))/60/15) as vlopusta_ploppuun,ROUND(TIME_TO_SEC(TIMEDIFF(endtime,'" . $selected_date . " " . $DAY_START_TIME . "'))/60/15) as vlopusta_palkuun, DAYOFYEAR(endtime)-DAYOFYEAR(starttime) as diffday, TIME_TO_SEC(TIMEDIFF(starttime,'" . $selected_date . " " . $DAY_START_TIME . "')) as palkutarkastus FROM varaukset WHERE n_id= " . $neukkari . " AND (starttime<=  '" . $res_time . "' AND endtime> '" . $res_time . "')";

			$result = mysql_query($sql, $conn);
			$rows = mysql_num_rows($result);
			$data=mysql_fetch_object($result);
			
			if ($rows>0) {
				$varauksensiivut=$data->varauksensiivut;
				$vlopusta_ploppuun=$data->vlopusta_ploppuun;
				$vlopusta_palkuun=$data->vlopusta_palkuun;
				$palkutarkastus=$data->palkutarkastus;

				// Jos varaus menee yli $DAY_END_TIME
				if ($vlopusta_ploppuun>0) $varauksensiivut=$varauksensiivut-$vlopusta_ploppuun;
				
				// Jos varaus menee seuraavan pivn puolelle
			    if ($vlopusta_ploppuun<0 && $data->diffday!=0) $varauksensiivut=$vlopusta_palkuun;

				// Jos varaus muokattu alkamaan ennen pivn alkua
			    if (($vlopusta_ploppuun<0) && ($palkutarkastus<0)) $varauksensiivut=$vlopusta_palkuun;
												
				// siivujen mr kytetn rowspanissa
				if ($varauksensiivut>$DAY_LENGTH_15_MIN_QUARTERS) $varauksensiivut=$DAY_LENGTH_15_MIN_QUARTERS;
				
				if ($data->lockcode<>0) $lock_icon="<img src=\"lock.gif\" border=\"0\">"; else $lock_icon="";

				if ($data->service==0) {
					if (isset($processed_reservations[$data->v_id])==false) {
						$processed_reservations[$data->v_id]='1';
						if ($data->lockcode<>0) $temp=1; else $temp=0;
						$res = $res . "<td style=\"background-color: rgb(". $data->color_r . ",". $data->color_g . ",". $data->color_b . ");\" class=\"varattu\" onMouseover=\"showtooltip('<table><tr><td bgcolor=red><b>- - - POISTA VARAUS - - -<br/><br/>Varausaika: " . $data->stime . " - " . $data->etime . "<br/>Aihe/Varaaja: "  . $data->topic . "/" . $data->reserver . "<br/>Osallistujia: " . $data->attendees . "<br/>Info: " . $data->info . "<br/><br/>- - - POISTA VARAUS - - -</b></td></tr></table>')\" onMouseout=\"hidetooltip()\" rowspan=\"" . $varauksensiivut . "\" onClick=\"vapauta(" . $data->v_id . "," . $temp . ",'" . md5($data->v_id . "DoDelete") . "')\">" . $lock_icon .  " "  . stripslashes($data->topic) . " / " . stripslashes($data->reserver) . "</td>"; 
					}
				} else {
					if (isset($processed_reservations[$data->v_id])==false) {
						$processed_reservations[$data->v_id]='1';
						if (!isset($_GET['MD'])) // Maintenance Delete
							$res = $res . "<td rowspan=\"" . $varauksensiivut . "\" class=\"eikaytossa\"  onMouseover=\"showtooltip('<table><tr><td bgcolor=yellow><b>Huolto</b> (" . $data->info . ")</td></tr></table>')\" onMouseout=\"hidetooltip()\"></td>"; 
						else
							$res = $res . "<td onClick=\"vapauta(" . $data->v_id . ",0, '" . md5($data->v_id . "DoDelete") . "')\" rowspan=\"" . $varauksensiivut . "\" class=\"eikaytossa\"  onMouseover=\"showtooltip('<table><tr><td bgcolor=red><b>&nbsp;&nbsp;POISTA Huolto!&nbsp;&nbsp;</b> (" . $data->info . ")</td></tr></table>')\" onMouseout=\"hidetooltip()\"></td>"; 
					}
					
				}

			} else {
				$res = $res . "<td></td>\n";
			}
			$rows=0;
		}
		return $res;	
	}

?>
						
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"> 
<html>
	<head>
		<title>Vapautus</title>
		<link rel="stylesheet" href="css/styles.css" type="text/css"/>
		<link type="text/css" href="css/ui-lightness/jquery-ui-1.8.9.custom.css" rel="Stylesheet" />
		<link type="text/css" href="css/dark.datetimepicker.css" rel="Stylesheet" />		
		
		<script type="text/javascript" src="js/jquery-1.4.4.min.js"></script>
		<script type="text/javascript" src="js/jquery-ui-1.8.9.custom.min.js"></script>
		<script type="text/javascript" src="js/jquery.ui.datepicker-fi.js"></script>
		<script type="text/javascript" src="js/ui.datetimepicker.js"></script>
		
	</head>
	<body BGCOLOR="#fffff6">

		<div style="position: absolute;visibility: hidden;z-index: 100;" id="dhtmltooltip"></div>
	
		<script type="text/javascript">
		  var ie = document.all
		  var ns6 = document.getElementById && !document.all
		  var enabletip = false
		
		  if (ie||ns6)
		    var tipobj=document.all? document.all["dhtmltooltip"] : document.getElementById? document.getElementById("dhtmltooltip") : ""
		
		  function showtooltip(text){
		    if (ns6||ie){
		      tipobj.innerHTML = text
		      enabletip = true
		      return false
		    }
		  }
		
		  function positiontip(e){
		    if (enabletip){
		      var curX=(ns6)?e.pageX : event.x;
		      var curY=(ns6)?e.pageY : event.y;
		      tipobj.style.left = curX + 20 + "px"
		      tipobj.style.top = curY + 20 + "px"
		      tipobj.style.visibility = "visible"
		    }
		  }
		
		  function hidetooltip(){
		    if (ns6||ie){
		      enabletip = false
		      tipobj.style.left = "-1000px"
		      tipobj.style.visibility = "hidden"
		    }
		  }
		
		  document.onmousemove=positiontip
		  
		  
		  function vapauta(varaus,koodi,hash) {
		  
		  	if (confirm('Haluatko poistaa varauksen?')) {
		  		if (koodi!="0") {
    				var answer = prompt ("Anna varauksen purkukoodi:","");
					window.open ("remove2.php?v_id=" + varaus + "&koodi=" + answer + "&hash=" + hash + "", "removereservation","location=0,status=0,scrollbars=0, width=400,height=450");
			  	} else {
					window.open ("remove2.php?v_id=" + varaus + "&koodi=0&hash=" + hash + "", "removereservation","location=0,status=0,scrollbars=0, width=400,height=450");			  	
			  	}
			} else {
				alert ("Varauksen purku peruutettu.");
			}
		  }
		  
		
		  $(function() {
		    $( "#datepicker" ).datepicker( {
		    	showWeek: true,
				firstDay: 1,
				showOtherMonths: true,
				selectOtherMonths: true,
				dateFormat: 'yy-mm-dd',
				showOn: "button",
				buttonImage: "calendar.jpg",
				buttonImageOnly: true,
				minDate: 0},
				
			    $.datepicker.regional['fi']
			  );
		  });
		
		
		</script>
	
	
		<?php echo(date("j.n.Y H:i")); ?>
		<br/>
		<div class="left_menu">
			<h3><b>Valikko</b></h3>
			<button onClick="location.href = 'index.php'">Lis varaus</button>
			<br/>
		</div>
		
		<div class="res_calendar">
		
			<div class="status">
				<form method="POST" class="showinline">
					<button name="selected_date" value="<?php echo $prev_day ?>">&laquo;&nbsp;<?php echo $prev_day_fi ?>&nbsp;&laquo;</button>
				</form>
				
				<form method="POST" class="showinline">
					&nbsp;&nbsp;&nbsp;&nbsp;Valittu piv:
					<span class="valittu_paiva">
						<input onChange="submit();" type="text" size="10" id="datepicker" readonly name="selected_date" value="<?php echo $selected_date_fi ?>">
					</span>
				</form>	
				
				<form method="POST" class="showinline">
					<button name="selected_date" value="<?php echo $next_day ?>">&raquo;&nbsp;<?php echo $next_day_fi ?>&nbsp;&raquo;</button>
				</form>
			</div>
			
			<br/>
			<center style="border:solid 4px red;"><b>POISTA VARAUS</b></center>
			<table cellpadding="0" cellspacing="0" border="1" class="varaustaulu">
			
				<?php
					echo "<tr><td>klo</td>" . getrooms() . "</tr>";
					$temp = "2011-01-01 " . $DAY_START_TIME;
					$date = new DateTime($temp);
					for ($i=0;$i<$DAY_LENGTH_15_MIN_QUARTERS;$i++) {
						echo "<tr><td class=\"aikarivi\">" . $date->format('H:i') . "</td>" . getreservations($selected_date. " " . $date->format('H:i')) . "</tr>\n";
						$date->add(new DateInterval('PT15M'));
					}
				?>
		
			</table>
	
		</div>
		<br style="clear:both">
		<br/>
		<br/>
	</body>
</html>
