# --------------------------------------------------------
# Host:                         x.y.z.m
# Server version:               5.1.51 - Source distribution
# Server OS:                    redhat-linux-gnu
# HeidiSQL version:             6.0.0.3956
# Date/time:                    2011-11-03 19:49:30
# --------------------------------------------------------

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET NAMES utf8 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;

# Dumping database structure for varaus
CREATE DATABASE IF NOT EXISTS `varaus` /*!40100 DEFAULT CHARACTER SET latin1 */;
USE `varaus`;


# Dumping structure for table varaus.neukkarit
CREATE TABLE IF NOT EXISTS `neukkarit` (
  `n_id` int(10) NOT NULL AUTO_INCREMENT,
  `n_name` varchar(50) DEFAULT '0',
  `n_capacity` int(2) DEFAULT '0',
  PRIMARY KEY (`n_id`)
) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=latin1;

# Dumping data for table varaus.neukkarit: 4 rows
/*!40000 ALTER TABLE `neukkarit` DISABLE KEYS */;
INSERT INTO `neukkarit` (`n_id`, `n_name`, `n_capacity`) VALUES
	(1, 'Pluto', 6),
	(2, 'Jupiter', 20),
	(3, 'Mars', 10),
	(4, 'Venus', 12);
/*!40000 ALTER TABLE `neukkarit` ENABLE KEYS */;


# Dumping structure for table varaus.varaukset
CREATE TABLE IF NOT EXISTS `varaukset` (
  `v_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `n_id` int(10) unsigned NOT NULL DEFAULT '0',
  `starttime` datetime NOT NULL DEFAULT '2011-01-01 12:00:00',
  `endtime` datetime NOT NULL DEFAULT '2011-01-01 12:00:00',
  `topic` varchar(50) NOT NULL DEFAULT 'topic',
  `reserver` varchar(50) NOT NULL DEFAULT 'reserver',
  `attendees` tinyint(4) DEFAULT '0',
  `info` varchar(500) DEFAULT NULL,
  `lockcode` smallint(5) unsigned DEFAULT '0',
  `service` tinyint(4) unsigned DEFAULT '0',
  `color_r` int(4) DEFAULT '100',
  `color_g` int(4) DEFAULT '0',
  `color_b` int(4) DEFAULT '100',
  `long_reservation` char(30) DEFAULT '',
  PRIMARY KEY (`v_id`)
) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=latin1;

